%define anolis_release 2

Name:       xhost
Version:    1.0.9
Release:    %{anolis_release}%{?dist}
Summary:    Manage the list of hosts or users allowed to connect to the X server
License:    MIT
URL:        https://www.x.org
Source0:    %{url}/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  automake gcc make autoconf gettext
BuildRequires:  pkgconfig(x11) pkgconfig(xau) pkgconfig(xmu) pkgconfig(xtrans)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8 pkgconfig(xproto) >= 7.0.22
Obsoletes:  xorg-x11-server-utils < 7.7

%description
xhost is used to manage the list of host names or user names
allowed to make connections to the X server.

In the case of hosts, this provides a rudimentary form of privacy
control and security. It is only sufficient for a workstation
(single user) environment, although it does limit the worst abuses.
Environments which require more sophisticated measures should
implement the user-based mechanism or use the hooks in the protocol
for passing other authentication data to the server.

%package doc
Summary: Doc files for xhost
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files doc
%doc AUTHORS ChangeLog INSTALL README.md

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.0.9-2
- optimize spec

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.0.9-1
- New version 1.0.9

* Tue Oct 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.8-1
- init from upstream
